extends CanvasLayer

class_name Hud

func get_level_view() -> Label:
	return $"HeaderBackground/GridContainer/LevelLabel" as Label

func get_hp_view() -> Label:
	return $"HeaderBackground/GridContainer/HpLabel" as Label

func get_atk_view() -> Label:
	return $"HeaderBackground/GridContainer/AtkLabel" as Label

func get_def_view() -> Label:
	return $"HeaderBackground/GridContainer2/DefLabel" as Label

func get_money_view() -> Label:
	return $"HeaderBackground/GridContainer2/MoneyLabel" as Label

func get_yellow_key_view() -> Label:
	return $"HeaderBackground/GridContainer3/YellowKeyCount"  as Label
	
func get_blue_key_view() -> Label:
	return $"HeaderBackground/GridContainer3/BlueKeyCount" as Label

func get_red_key_view() -> Label:
	return $"HeaderBackground/GridContainer3/RedKeyCount" as Label

func get_save_button_view() -> TextureButton:
	return $"BottomBackground/VBoxContainer/SaveButton" as TextureButton

func get_load_button_view() -> TextureButton:
	return $"BottomBackground/VBoxContainer/Loadutton" as TextureButton

func get_book_button_view() -> TextureButton:
	return $"BottomBackground/VBoxContainer/BookButton" as TextureButton

func get_book_dialog_view() -> PopupDialog:
	return $"BookDialog" as PopupDialog

func get_close_book_button_view() -> Button:
	return $"BookDialog/CloseBook" as Button
